#include <iostream>
using namespace std;
typedef long long ll;
bool ekskurzija(ll N,ll M,ll K){
    N-=K-1; M-=K-1;
    return M-N*(N-1)/2>N-1;
}
int main(){
    ios_base::sync_with_stdio(false);
    int T;
    ll N,M,K;
    cin>>T;
    for(int i=0;i<T;i++){
        cin>>N>>M>>K;
        string ans=(ekskurzija(N,M,K))?"Tak":"Nie";
        cout<<ans<<endl;
    }
	return 0;
}